Bug 215774 - Sendmail lists procmail as a dependancy, rather than vice-versa
Sendmail lists procmail as a dependancy, rather than vice-versa
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-15 12:49 EST by Andrew Macpherson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-23 04:31:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Macpherson 2006-11-15 12:49:28 EST
Description of problem: Difficult to remove unwanted procmail, as it is marked
as required by sendmail, a self-evidently false dependancy

How reproducible: rpm -e procmail

  
Actual results:
error: Failed dependencies:
        procmail is needed by (installed) sendmail

Expected results:
Silent return

Additional info:
Comment 1 Florian La Roche 2007-01-23 04:31:55 EST
procmail is listed as default local mail delivery, so I think this dependency
is right.

regards,

Florian La Roche
Comment 2 Andrew Macpherson 2007-04-16 05:17:56 EDT
The fact that someone mistakenly decides to use procmail does not make it a 
dependency, this is a straight misconfiguration, contributing to bloat.

procmail requires an MTA.  Sendmail does not require procmail, and requiring 
the installation of procmail is a mistake in anything but the most Noddy 
environment, as only in a Noddy environment would users ever have accounts on 
a mail server.

Note You need to log in before you can comment on or make changes to this bug.